Freeciv-3.1: edit_utype Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Slots | Private Attributes
edit_utype Class Reference

`#include <edit_utype.h>`

Inheritance diagram for edit_utype:

## Public Member Functions

| edit_utype (ruledit_gui *ui_in, struct unit_type *utype_in)
void | refresh ()
Public Member Functions inherited from values_dlg
| values_dlg ()
void | open_help (struct strvec **help)
void | close_help ()

## Protected Member Functions

void | closeEvent (QCloseEvent *cevent)

## Private Slots

void | req_menu (QAction *action)
void | class_menu (QAction *action)
void | set_bcost_value (int value)
void | set_attack_value (int value)
void | set_defense_value (int value)
void | set_hitpoints (int value)
void | set_firepower (int value)
void | set_move_rate (int value)
void | gfx_tag_given ()
void | gfx_tag_alt_given ()
void | sound_move_tag_given ()
void | sound_move_tag_alt_given ()
void | sound_fight_tag_given ()
void | sound_fight_tag_alt_given ()
void | helptext ()

## Private Attributes

ruledit_gui * | ui
struct unit_type * | utype
QToolButton * | req_button
QToolButton * | class_button
QSpinBox * | bcost
QSpinBox * | attack
QSpinBox * | defense
QSpinBox * | hitpoints
QSpinBox * | firepower
QSpinBox * | move_rate
QLineEdit * | gfx_tag
QLineEdit * | gfx_tag_alt
QLineEdit * | sound_move_tag
QLineEdit * | sound_move_tag_alt
QLineEdit * | sound_fight_tag
QLineEdit * | sound_fight_tag_alt
QGridLayout * | flag_layout

## Detailed Description

Definition at line 34 of file edit_utype.h.

## Constructor & Destructor Documentation

## ◆ edit_utype()

edit_utype::edit_utype | ( | ruledit_gui * | ui_in,
|  | struct unit_type * | utype_in
| ) |  |

explicit

Setup edit_utype object

Definition at line 40 of file edit_utype.cpp.

## Member Function Documentation

## ◆ class_menu

void edit_utype::class_menu | ( | QAction * | action | ) |

privateslot

User selected class

Definition at line 428 of file edit_utype.cpp.

Referenced by edit_utype().

## ◆ closeEvent()

void edit_utype::closeEvent | ( | QCloseEvent * | cevent | ) |

protected

User is closing dialog.

Definition at line 244 of file edit_utype.cpp.

## ◆ gfx_tag_alt_given

void edit_utype::gfx_tag_alt_given | ( |  | ) |

privateslot

User entered new alternative graphics tag.

Definition at line 378 of file edit_utype.cpp.

Referenced by closeEvent(), and edit_utype().

## ◆ gfx_tag_given

void edit_utype::gfx_tag_given | ( |  | ) |

privateslot

User entered new graphics tag.

Definition at line 368 of file edit_utype.cpp.

Referenced by closeEvent(), and edit_utype().

## ◆ helptext

void edit_utype::helptext | ( |  | ) |

privateslot

User pressed helptext button

Definition at line 444 of file edit_utype.cpp.

Referenced by edit_utype().

## ◆ refresh()

void edit_utype::refresh | ( |  | ) |

Refresh the information.

Definition at line 281 of file edit_utype.cpp.

Referenced by class_menu(), edit_utype(), and req_menu().

## ◆ req_menu

void edit_utype::req_menu | ( | QAction * | action | ) |

privateslot

User selected tech to be req of utype

Definition at line 302 of file edit_utype.cpp.

Referenced by edit_utype().

## ◆ set_attack_value

void edit_utype::set_attack_value | ( | int | value | ) |

privateslot

Read attack strength value from spinbox

Definition at line 328 of file edit_utype.cpp.

Referenced by edit_utype().

## ◆ set_bcost_value

void edit_utype::set_bcost_value | ( | int | value | ) |

privateslot

Read build cost value from spinbox

Definition at line 320 of file edit_utype.cpp.

Referenced by edit_utype().

## ◆ set_defense_value

void edit_utype::set_defense_value | ( | int | value | ) |

privateslot

Read defense strength value from spinbox

Definition at line 336 of file edit_utype.cpp.

Referenced by edit_utype().

## ◆ set_firepower

void edit_utype::set_firepower | ( | int | value | ) |

privateslot

Read firepower from spinbox

Definition at line 352 of file edit_utype.cpp.

Referenced by edit_utype().

## ◆ set_hitpoints

void edit_utype::set_hitpoints | ( | int | value | ) |

privateslot

Read hitpoints from spinbox

Definition at line 344 of file edit_utype.cpp.

Referenced by edit_utype().

## ◆ set_move_rate

void edit_utype::set_move_rate | ( | int | value | ) |

privateslot

Read move rate from spinbox

Definition at line 360 of file edit_utype.cpp.

Referenced by edit_utype().

## ◆ sound_fight_tag_alt_given

void edit_utype::sound_fight_tag_alt_given | ( |  | ) |

privateslot

User entered new alternative fight sound tag.

Definition at line 418 of file edit_utype.cpp.

Referenced by closeEvent(), and edit_utype().

## ◆ sound_fight_tag_given

void edit_utype::sound_fight_tag_given | ( |  | ) |

privateslot

User entered new move fight tag.

Definition at line 408 of file edit_utype.cpp.

Referenced by closeEvent(), and edit_utype().

## ◆ sound_move_tag_alt_given

void edit_utype::sound_move_tag_alt_given | ( |  | ) |

privateslot

User entered new alternative move sound tag.

Definition at line 398 of file edit_utype.cpp.

Referenced by closeEvent(), and edit_utype().

## ◆ sound_move_tag_given

void edit_utype::sound_move_tag_given | ( |  | ) |

privateslot

User entered new move sound tag.

Definition at line 388 of file edit_utype.cpp.

Referenced by closeEvent(), and edit_utype().

## Field Documentation

## ◆ attack

QSpinBox* edit_utype::attack

private

Definition at line 48 of file edit_utype.h.

Referenced by edit_utype(), and refresh().

## ◆ bcost

QSpinBox* edit_utype::bcost

private

Definition at line 47 of file edit_utype.h.

Referenced by edit_utype(), and refresh().

## ◆ class_button

QToolButton* edit_utype::class_button

private

Definition at line 46 of file edit_utype.h.

Referenced by edit_utype(), and refresh().

## ◆ defense

QSpinBox* edit_utype::defense

private

Definition at line 49 of file edit_utype.h.

Referenced by edit_utype(), and refresh().

## ◆ firepower

QSpinBox* edit_utype::firepower

private

Definition at line 51 of file edit_utype.h.

Referenced by edit_utype(), and refresh().

## ◆ flag_layout

QGridLayout* edit_utype::flag_layout

private

Definition at line 60 of file edit_utype.h.

Referenced by closeEvent(), and edit_utype().

## ◆ gfx_tag

QLineEdit* edit_utype::gfx_tag

private

Definition at line 53 of file edit_utype.h.

Referenced by edit_utype(), gfx_tag_given(), and refresh().

## ◆ gfx_tag_alt

QLineEdit* edit_utype::gfx_tag_alt

private

Definition at line 54 of file edit_utype.h.

Referenced by edit_utype(), gfx_tag_alt_given(), and refresh().

## ◆ hitpoints

QSpinBox* edit_utype::hitpoints

private

Definition at line 50 of file edit_utype.h.

Referenced by edit_utype(), and refresh().

## ◆ move_rate

QSpinBox* edit_utype::move_rate

private

Definition at line 52 of file edit_utype.h.

Referenced by edit_utype(), and refresh().

## ◆ req_button

QToolButton* edit_utype::req_button

private

Definition at line 45 of file edit_utype.h.

Referenced by edit_utype(), and refresh().

## ◆ sound_fight_tag

QLineEdit* edit_utype::sound_fight_tag

private

Definition at line 57 of file edit_utype.h.

Referenced by edit_utype(), refresh(), and sound_fight_tag_given().

## ◆ sound_fight_tag_alt

QLineEdit* edit_utype::sound_fight_tag_alt

private

Definition at line 58 of file edit_utype.h.

Referenced by edit_utype(), refresh(), and sound_fight_tag_alt_given().

## ◆ sound_move_tag

QLineEdit* edit_utype::sound_move_tag

private

Definition at line 55 of file edit_utype.h.

Referenced by edit_utype(), refresh(), and sound_move_tag_given().

## ◆ sound_move_tag_alt

QLineEdit* edit_utype::sound_move_tag_alt

private

Definition at line 56 of file edit_utype.h.

Referenced by edit_utype(), refresh(), and sound_move_tag_alt_given().

## ◆ ui

ruledit_gui* edit_utype::ui

private

Definition at line 43 of file edit_utype.h.

Referenced by edit_utype().

## ◆ utype

struct unit_type* edit_utype::utype

private

Definition at line 44 of file edit_utype.h.

Referenced by class_menu(), closeEvent(), edit_utype(), gfx_tag_alt_given(), gfx_tag_given(), helptext(), refresh(), req_menu(), set_attack_value(), set_bcost_value(), set_defense_value(), set_firepower(), set_hitpoints(), set_move_rate(), sound_fight_tag_alt_given(), sound_fight_tag_given(), sound_move_tag_alt_given(), and sound_move_tag_given().